#!/usr/bin/perl
# save_iniquotas_tpl1.cgi
# Save ini-quotas options

require './cwmail-lib.pl';
#&error_setup($text{'ini_err'});
&ReadParse();
$conf = &get_cwmail_ini_tpl1();

# save default_max_dkbytes directives
if ($in{def_maxdk}) {
	&save_directive_tpl1($conf, 'default_max_dkbytes', [ { 'name' => 'default_max_dkbytes',
			       'values' => [ $text{'ini_defmaxdk_def'} ] } ] );
	}
elsif ($in{def_maxdk} !~ /\S/) {
	&error($text{"ini_defmaxdk_err"});
	}
else {
	&save_directive_tpl1($conf, 'default_max_dkbytes', [ { 'name' => 'default_max_dkbytes',
			       'values' => [ $in{defmaxdk} ] } ] );
		}

# save default_max_dmsgs directives
if ($in{def_maxdm}) {
	&save_directive_tpl1($conf, 'default_max_dmsgs', [ { 'name' => 'default_max_dmsgs',
			       'values' => [ $text{'ini_defmaxdm_def'} ] } ] );
	}
elsif ($in{def_maxdm} !~ /\S/) {
	&error($text{"ini_defmaxdm_err"});
	}
else {
	&save_directive_tpl1($conf, 'default_max_dmsgs', [ { 'name' => 'default_max_dmsgs',
			       'values' => [ $in{defmaxdm} ] } ] );
		}

# save default_quota directives
if ($in{def_quota}) {
	&save_directive_tpl1($conf, 'default_quota', [ { 'name' => 'default_quota',
			       'values' => [ $text{'ini_defquota_def'} ] } ] );
	}
elsif ($in{def_quota} !~ /\S/) {
	&error($text{"ini_defquota_err"});
	}
else {
	&save_directive_tpl1($conf, 'default_quota', [ { 'name' => 'default_quota',
			       'values' => [ $in{defquota} ] } ] );
		}

# save fetch_min directives
if ($in{fetch_min}) {
	&save_directive_tpl1($conf, 'fetch_min', [ { 'name' => 'fetch_min',
			       'values' => [ $text{'ini_fetch_min_def'} ] } ] );
	}
elsif ($in{fetch_min} !~ /\S/) {
	&error($text{"ini_fetch_min_err"});
	}
else {
	&save_directive_tpl1($conf, 'fetch_min', [ { 'name' => 'fetch_min',
			       'values' => [ $in{fetchmin} ] } ] );
		}

# save empty_trash_on_exit directives
$in{'emptytrash'} =~ s/\0/,/g;
if ($in{'emptytrash'}) {
	push(@iemptytrash, { 'name' => 'empty_trash_on_exit',
		     'values' => [ $in{'emptytrash'} ] } );
	}
&save_directive_tpl1($conf, 'empty_trash_on_exit', \@iemptytrash);


# save new_mail_name directives
$in{'newmailname'} =~ s/\0/,/g;
if ($in{'newmailname'}) {
	push(@newmail, { 'name' => 'new_mail_name',
		     'values' => [ $in{'newmailname'} ] } );
	}
&save_directive_tpl1($conf, 'new_mail_name', \@newmail);

# save copy_name directives
$in{'copy_name'} =~ s/\0/,/g;
if ($in{'copy_name'}) {
	push(@icopy_name, { 'name' => 'copy_name',
		     'values' => [ $in{'copy_name'} ] } );
	}
&save_directive_tpl1($conf, 'copy_name', \@icopy_name);

# save waste_name directives
$in{'waste_name'} =~ s/\0/,/g;
if ($in{'waste_name'}) {
	push(@iwaste_name, { 'name' => 'waste_name',
		     'values' => [ $in{'waste_name'} ] } );
	}
&save_directive_tpl1($conf, 'waste_name', \@iwaste_name);


&flush_file_lines();
&redirect("cwini_tpl1.cgi");
